/**
 * Will compare 2 paths by "concretness".
 *
 * `/user/foo` will be considered more concrete than `/user/{id}`.
 *
 * @see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.1.0.md#path-templating-matching
 */
export declare function pathConcretenessCompareFunction(firstPath: string, secondPath: string): number;
